groovy.util

## Class ObservableMap.PropertyClearedEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.PropertyChangeEvent
    - - groovy.util.ObservableMap.PropertyEvent
      - - groovy.util.ObservableMap.PropertyClearedEvent

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ObservableMap

    public static class ObservableMap.PropertyClearedEvent
    extends ObservableMap.PropertyEvent

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ObservableMap.PropertyClearedEvent(java.lang.Object source, java.util.Map values)`

### Method Summary

Methods
`java.util.Map` `getValues()`

### Methods inherited from class groovy.util.ObservableMap.PropertyEvent

`getChangeType, getType, getTypeAsString`

### Methods inherited from class java.beans.PropertyChangeEvent

`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObservableMap.PropertyClearedEvent

    public ObservableMap.PropertyClearedEvent(java.lang.Object source,
                                      java.util.Map values)

### Method Detail

#### getValues

    public java.util.Map getValues()